# Interface ComplexityOptions

interface ComplexityOptions {
alphaNumeric?: number;
digit?: number;
exact?: number;
lowercase?: number;
max?: number;
min?: number;
range?: number;
special?: number;
upperLower?: number;
uppercase?: number;
}

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:8

#####
Index

### Properties

alphaNumeric?
digit?
exact?
lowercase?
max?
min?
range?
special?
upperLower?
uppercase?

## Properties

### `Optional` alphaNumeric

alphaNumeric?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:14

### `Optional` digit

digit?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:11

### `Optional` exact

exact?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:18

### `Optional` lowercase

lowercase?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:12

### `Optional` max

max?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:16

### `Optional` min

min?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:15

### `Optional` range

range?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:17

### `Optional` special

special?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:10

### `Optional` upperLower

upperLower?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:13

### `Optional` uppercase

uppercase?: number

- Defined in packages/angular/forms/src/lib/validators/is-complex.ts:9